[BLFS Trac] #2681: FFmpeg-0.6 (was: FFmpeg-0.5.1)

BLFS Trac trac at linuxfromscratch.org
Sun Aug 1 07:17:14 PDT 2010


#2681: FFmpeg-0.6
--------------------------------------+-------------------------------------
 Reporter:  ken@…                     |       Owner:  randy@…                   
     Type:  task                      |      Status:  assigned                  
 Priority:  normal                    |   Milestone:  6.5                       
Component:  BOOK                      |     Version:  SVN                       
 Severity:  normal                    |    Keywords:                            
--------------------------------------+-------------------------------------
Description changed by ken@…:

Old description:

> We're using an old snapshot.  I was fairly happy with a random recent
> snapshot (with corresponding changes to its users), but dj pointed out
> {{{
> *(September 8, 2008)* FFmpeg is undergoing major changes in its API/ABI.
> The last valid revision for libavcodec version 51 is r15261.
> }}}
>
> Certainly, things newer than this are causing its users (xine-lib,
> transcode) to jump through increasing numbers of hoops.
>
> The fun thing, as I've just found out, is trying to get a corresponding
> version of libswscale which is in a separate repo.  Trying snapshots from
> git-web, I'll see if I can make them match up to the changes tomorrow.

New description:

 A step nearer world domination.  0.6 can use libvpx, later snapshots (not
 tested) includetheir own code for this.  Known to work with LFS-6.6,
 recent gstreamer, epiphany-2.30, midori (for youtube html5 beta) on
 x86_64. [ I couldn't get this to work with gnome-2.28, so I upgraded my
 desktop ].

--

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2681#comment:13>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list